/*
 * com_ericsson_cba_trace_testapp100_lowtraf.h
 *
 *  Created on: 2011-11-08
 *      Author: lmctdlt
 */

#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_ericsson_cba_trace_testapp100_lowtraf

#if !defined(_COM_ERICSSON_CBA_TRACE_TESTAPP100_LOWTRAF_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _COM_ERICSSON_CBA_TRACE_TESTAPP100_LOWTRAF_H

#ifdef __cplusplus
extern "C" {
#endif

#include <lttng/tracepoint.h>


    TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp100_lowtraf, OnePerSecA,
            TP_ARGS(const char *, my_Time,              // time stamp from application
                int        , PID,                  // var pid (processID)
                int        , OnePs                 // var OnePs
                ),
            TP_FIELDS(ctf_string(my_Time, my_Time)
                ctf_integer(int, PID, PID)
                ctf_integer(int, OnePs, OnePs)
                )
            )
        TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp100_lowtraf, OnePerSecA, TRACE_DEBUG_PROGRAM)


        TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp100_lowtraf, OnePerSecB,   // this event has no argument
                TP_ARGS(const char*,  my_Time,
                        int        , PID                  // var pid (processID)                
                       ),
                TP_FIELDS(ctf_string(my_Time, my_Time)
                          ctf_integer(int, PID, PID)
                         )
                )
        TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp100_lowtraf, OnePerSecB, TRACE_DEBUG_PROCESS)

        TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp100_lowtraf, TenPerSecA,
                         TP_ARGS(const char *, my_Time,              // time stamp from application
                                 int        , PID,                  // var pid (processID) 
                                 int        , OnePs,                // var OnePs
                                 int        , TenPs,                // var TenPs
                                 float      , unit_float,
                                 const char *, unit_string,
                                 const char *, stringAllSigns
                                ),
                        TP_FIELDS(ctf_string(my_Time, my_Time)
                                  ctf_integer(int, PID, PID)
                                  ctf_integer(int, OnePs, OnePs)
                                  ctf_integer(int, TenPs, TenPs)
                                  ctf_integer_nowrite(int, hidden_unit_int, TenPs)
                                  ctf_float_nowrite(float, hidden_unit_float, unit_float)
                                  ctf_string_nowrite(hidden_unit_string, unit_string)
                                  ctf_float(float, unit_float, unit_float)
                                  ctf_string(unit_string, unit_string)
                                  ctf_string(stringAllSigns, stringAllSigns)
                                 )
                        )
        TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp100_lowtraf, TenPerSecA, TRACE_DEBUG_MODULE)

        TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp100_lowtraf, TenPerSecB,   // this event has no argument
                         TP_ARGS(const char *, my_Time,
                                 int        , PID                  // var pid (processID)
                                 ),
                         TP_FIELDS(ctf_string(my_Time, my_Time)
                                   ctf_integer(int, PID, PID)
                                  )
                        )
        TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp100_lowtraf, TenPerSecB, TRACE_DEBUG_UNIT)

#endif /* _COM_ERICSSON_CBA_TRACE_TESTAPP100_LOWTRAF_H */

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./com_ericsson_cba_trace_testapp100_lowtraf.h

        /* This part must be outside protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif
